Get a page of inventory
Query Parameters
- Type: integerFormat: int32Page
Index The page index of the search.
- Type: integerFormat: int32Page
Size The number of inventory products to be returned in the response. Returns pages of up to 500 records.
- Type: stringSearch
Text The search text to filter inventory products by. This can be all or part of a reference number or description.
- Type: stringFormat: uuidPartner
Id The ID of the partner.
- Type: stringFormat: uuidPartner
Product Id The ID of the partner product.
- Type: stringFormat: uuidWarehouse
Id The ID of the warehouse.
- Type: stringFormat: uuidWarehouse
Zone Id The ID of the warehouse zone.
- Type: stringFormat: uuidWarehouse
Location Id The ID of the warehouse location.
- Type: booleanInclude
Depleted If depleted product inventory should be included
- Type: stringFormat: uuidDg
Hazard Class Id The ID of dangerous hazard class.
- Type: stringFormat: uuidDg
Hazard Category Id The ID of the dangerous hazard category.
Responses
- application/json
Request Example for get/v1/inventory
curl 'https://api.consignlyhq.com/v1/inventory?PageIndex=1&PageSize=25&SearchText=milk%20powder&PartnerId=&PartnerProductId=&WarehouseId=&WarehouseZoneId=&WarehouseLocationId=&IncludeDepleted=true&DgHazardClassId=&DgHazardCategoryId='
{
"index": 1,
"total": 1,
"inventory": [
{
"logisticUnit": {
"warehouseLogisticUnitId": "123e4567-e89b-12d3-a456-426614174000",
"partnerId": "123e4567-e89b-12d3-a456-426614174000",
"partnerName": null,
"logisticUnitNumber": null,
"referenceNumber": null,
"ssccNumber": null,
"warehouseLocationId": "123e4567-e89b-12d3-a456-426614174000",
"warehouseLocationName": null,
"warehouseLocationType": "enum (Racking = 1, Bulk = 2, Quarantine = 3, Transitional = 4)",
"warehouseId": "123e4567-e89b-12d3-a456-426614174000",
"warehouseName": null,
"availableQuantity": 1,
"availableVolumeM3": 1,
"availableWeightKG": 1,
"onHandQuantity": 1,
"onHandVolumeM3": 1,
"onHandWeightKG": 1
},
"products": [
{
"warehouseProductId": "123e4567-e89b-12d3-a456-426614174000",
"partnerId": "123e4567-e89b-12d3-a456-426614174000",
"partnerName": null,
"partnerProductId": "123e4567-e89b-12d3-a456-426614174000",
"partnerProductCode": null,
"partnerProductName": null,
"isSerialRequired": true,
"serialTrackingMode": "enum (None = 1, FullCapture = 2, ReleaseCapture = 3)",
"isDangerousGood": true,
"dgUnNumber": null,
"dgHazchemFireCode": "enum (I = 1, II = 2, III = 3, IV = 4, II_ARF = 5, III_ARF = 6)",
"dgHazchemSafetyCode": "enum (P = 1, R = 2, S = 3, S_Black = 4, T = 5, T_Black = 6, W = 7, X = 8, Y = 9, Y_Black = 10, Z = 11, Z_Black = 12)",
"dgHazchemEvacuate": null,
"batch": null,
"bestBeforeDate": "date (YYYY-MM-DD)",
"expiryDate": "date (YYYY-MM-DD)",
"packagingDate": "date (YYYY-MM-DD)",
"productionDate": "date (YYYY-MM-DD)",
"sellByDate": "date (YYYY-MM-DD)",
"attributes": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"productAttributeId": "123e4567-e89b-12d3-a456-426614174000",
"name": null,
"description": null
}
],
"warehouseLocationId": "123e4567-e89b-12d3-a456-426614174000",
"warehouseLocationName": null,
"warehouseLocationType": "enum (Racking = 1, Bulk = 2, Quarantine = 3, Transitional = 4)",
"warehouseId": "123e4567-e89b-12d3-a456-426614174000",
"warehouseName": null,
"availableQuantity": 1,
"availableVolumeM3": 1,
"availableWeightKG": 1,
"onHandQuantity": 1,
"onHandVolumeM3": 1,
"onHandWeightKG": 1
}
]
}
]
}